Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AttributeCertificateInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.AttributeCertificateInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class AttributeCertificateInfo
extends ASN1Object

Method Summary
`AttCertValidityPeriod` | `getAttrCertValidityPeriod()`
`ASN1Sequence` | `getAttributes()`
`Extensions` | `getExtensions()`
`Holder` | `getHolder()`
`static AttributeCertificateInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static AttributeCertificateInfo` | `getInstance(java.lang.Object obj)`
`AttCertIssuer` | `getIssuer()`
`ASN1BitString` | `getIssuerUniqueID()`
`ASN1Integer` | `getSerialNumber()`
`AlgorithmIdentifier` | `getSignature()`
`ASN1Integer` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static AttributeCertificateInfo getInstance(ASN1TaggedObject obj,
                                                       boolean explicit)

### getInstance

    public static AttributeCertificateInfo getInstance(java.lang.Object obj)

### getVersion

    public ASN1Integer getVersion()

### getHolder

    public Holder getHolder()

### getIssuer

    public AttCertIssuer getIssuer()

### getSignature

    public AlgorithmIdentifier getSignature()

### getSerialNumber

    public ASN1Integer getSerialNumber()

### getAttrCertValidityPeriod

    public AttCertValidityPeriod getAttrCertValidityPeriod()

### getAttributes

    public ASN1Sequence getAttributes()

### getIssuerUniqueID

    public ASN1BitString getIssuerUniqueID()

### getExtensions

    public Extensions getExtensions()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. AttributeCertificateInfo ::= SEQUENCE { version AttCertVersion -- version is v2, holder Holder, issuer AttCertIssuer, signature AlgorithmIdentifier, serialNumber CertificateSerialNumber, attrCertValidityPeriod AttCertValidityPeriod, attributes SEQUENCE OF Attribute, issuerUniqueID UniqueIdentifier OPTIONAL, extensions Extensions OPTIONAL } AttCertVersion ::= INTEGER { v2(1) }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD